Source: squeekboard
Section: x11
Priority: optional
Maintainer: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 meson (>=0.51.0),
 ninja-build,
 pkg-config,
 libbsd-dev,
 libfeedback-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 librust-aho-corasick-dev,
 librust-bitflags-1-dev (>= 1.0),
 librust-clap-4+std-dev (>= 4.0),
# TODO: Port to GTK4/GTK4-layer-shell
# https://gitlab.gnome.org/World/Phosh/squeekboard/-/issues/64
# These dependencies have been removed from Debian.
# Building with dependencies from "crates.io", which will be
# downloaded by `cargo` during the build, still works without these.
# librust-gio+v2-58-dev (>= 0.18),
# librust-glib+v2-58-dev (>= 0.18),
# librust-glib-sys-dev (>= 0.18),
# librust-gtk+v3-24-dev (>= 0.18),
# librust-gtk-sys-dev (>= 0.18),
 librust-maplit-1-dev (>= 1.0),
 librust-serde-derive-1-dev (>= 1.0),
 librust-serde-yaml-0.9-dev (>= 0.9),
 librust-thread-local-dev,
 librust-xkbcommon-dev (>= 0.5),
 librust-zbus-1-dev (>= 1.9),
 librust-zvariant-2-dev (>= 2.10),
 librust-zvariant-derive-2-dev (>= 2.10),
 libwayland-dev (>= 1.16),
 lsb-release,
 python3,
 python3-ruamel.yaml,
 rustc,
 wayland-protocols (>= 1.14),
Standards-Version: 4.1.3
Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
Rules-Requires-Root: no

Package: squeekboard
Architecture: linux-any
Depends:
# for Greek polytonic readability
 fonts-gfs-didot-classic,
# for the Adwaita-dark theme
 gnome-themes-extra-data,
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 librem5-base (<< 24),
Description: On-screen keyboard for Wayland
 Virtual keyboard supporting Wayland, built primarily for the Librem 5 phone.

Package: squeekboard-devel
Architecture: linux-any
Depends:
 python3,
 python3-gi,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Resources for making Squeekboard layouts
 Tools for creating and testing Squeekboard layouts:
 .
  * squeekboard-entry
  * squeekboard-test-layout
